import { SqlRowMetadata } from './SqlRowMetadata';
export interface SqlRow {
    /**
     Gets the value of the column by column index or column name.
     The class of the returned value depends on the SQL type of the column. See {@link SqlColumnType}
     @param columnNameOrIndex Column name or index
     @returns value in specified column of this row, or undefined if there is no value at the provided index.
     @throws {@link IllegalArgumentError} if columnNameOrIndex is string and column specified with name does not exist
     @throws {@link IllegalArgumentError} if columnNameOrIndex is not string or number
     */
    getObject<T>(columnNameOrIndex: string | number): T;
    /**
     * Get row metadata of this row.
     * @returns row metadata
     */
    getMetadata(): SqlRowMetadata;
}
