/**
 * Returns the string representation of a local date.
 * @param year Must be between -999999999-999999999
 * @param month Must be between 1-12
 * @param date Must be between 1-31 depending on year and month
 * @returns A string in the form yyyy-mm-dd. Values are zero padded from left
 * @throws RangeError if any of the arguments are invalid
 */
export declare function getLocalDateString(year: number, month: number, date: number): string;
/**
 * Returns the string representation of a local time.
 *
 * @param hour The hour-of-day to represent, from 0 to 23
 * @param minute The minute-of-hour to represent, from 0 to 59
 * @param second The second-of-minute to represent, from 0 to 59
 * @param nano The nano-of-second to represent, from 0 to 999,999,999
 * @throws RangeError if any of the arguments are invalid
 * @returns A string in the form HH:mm:ss.SSS (9 digits, nano second precision). The constructed string is
 * zero-padded from left. If nanosecond is 0, it is not included in the constructed string.
 */
export declare function getLocalTimeString(hour: number, minute: number, second: number, nano: number): string;
